<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwGeneral: fwColourTable.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwGeneral
   &#160;<span id="projectnumber">8.4.3</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('fwColourTable_8ctl.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">fwColourTable.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a34eb6ee23ebdf6c9aca59b8f23a0d67a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwColourTable_8ctl.html#a34eb6ee23ebdf6c9aca59b8f23a0d67a">fwColourTable_connectCellBackColToStatus</a> (dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a34eb6ee23ebdf6c9aca59b8f23a0d67a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0b1b570f57570e31e523617a067b9f8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwColourTable_8ctl.html#ad0b1b570f57570e31e523617a067b9f8">_fwColourTable_calculateColourWithAlertCB</a> (string dpe1, string alertColour, string dpe2, bool alarmActive, string dpe3, bool dataInvalid)</td></tr>
<tr class="separator:ad0b1b570f57570e31e523617a067b9f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1ce1480759799e5002afef7c41c7065"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwColourTable_8ctl.html#af1ce1480759799e5002afef7c41c7065">_fwColourTable_calculateColourWithoutAlertCB</a> (string dpe1, bool dataInvalid)</td></tr>
<tr class="separator:af1ce1480759799e5002afef7c41c7065"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00a1bbcd3eda25dc6cbcb0fc0a9317c7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwColourTable_8ctl.html#a00a1bbcd3eda25dc6cbcb0fc0a9317c7">fwColourTable_connectCellBackColToValueStatus</a> (dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a00a1bbcd3eda25dc6cbcb0fc0a9317c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecd64ac0dce67291970686b930e08405"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwColourTable_8ctl.html#aecd64ac0dce67291970686b930e08405">_fwColourTable_calculateColourWithAlertCBValue</a> (string dpe1, string alertColour, string dpe2, bool alarmActive, string dpe3, bool dataInvalid, string dpe4, string valText)</td></tr>
<tr class="separator:aecd64ac0dce67291970686b930e08405"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3734116e0f2c97d4448003a603e5802e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwColourTable_8ctl.html#a3734116e0f2c97d4448003a603e5802e">_fwColourTable_calculateColourWithoutAlertCBValue</a> (string dpe1, bool dataInvalid, string dpe2, string valText)</td></tr>
<tr class="separator:a3734116e0f2c97d4448003a603e5802e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abeed6c0e7f4f7ea7137324d093640b1d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwColourTable_8ctl.html#abeed6c0e7f4f7ea7137324d093640b1d">_fwColourTable_calculateColourWithSummaryAlertCB</a> (string dpe1, string alertColour, string dpe2, bool alarmActive)</td></tr>
<tr class="separator:abeed6c0e7f4f7ea7137324d093640b1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This library is used to convert the given states of a device into the colour which represents this state. Funcitons are also available for dpConnecting the colour of graphical elements to a device state.</p>
<dl class="section user"><dt>Creation Date</dt><dd>23/01/01</dd></dl>
<dl class="section author"><dt>Author</dt><dd>Herve Milcent (IT-CO) origin: COMPASS: Oliver Holme (IT-CO) </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a34eb6ee23ebdf6c9aca59b8f23a0d67a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34eb6ee23ebdf6c9aca59b8f23a0d67a">&#9670;&nbsp;</a></span>fwColourTable_connectCellBackColToStatus()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwColourTable_connectCellBackColToStatus </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function controls the background colour of the cell of a table from within which the function was called. The colour is controlled by dpConnecting to the invalid bit of the given data point element, and if it exists, the alert active bit and the alert colour are also connected to. When the function is called, and any time when the alert state or invalid state changes, a function is called which evaluates the current state, selects the relevant colour and sets the background colour of the graphical item.</p>
<dl class="section user"><dt>Modification History</dt><dd>29/03/01 Oliver Holme Added functionality for connecting to dpes of type STRUCTURE This makes it possible to connect to the state of a summary alert</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are placed in here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ad0b1b570f57570e31e523617a067b9f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0b1b570f57570e31e523617a067b9f8">&#9670;&nbsp;</a></span>_fwColourTable_calculateColourWithAlertCB()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwColourTable_calculateColourWithAlertCB </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>alertColour</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>alarmActive</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe3</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>dataInvalid</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This functions takes the given states of a data point element and calls a function which calcultes the relevant colour. The function then set the background colour of graphical item "this" to that colour.</p>
<dl class="section user"><dt>Constraints</dt><dd>This function is designed as a 'work' function and should only be used by giving it as the function name in a dpConnect statement</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Private</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe1</td><td>data point element </td></tr>
    <tr><td class="paramname">alertColour</td><td>a string containing the name of the current alert colour </td></tr>
    <tr><td class="paramname">dpe2</td><td>data point element </td></tr>
    <tr><td class="paramname">alarmActive</td><td>a bit to represent if alert handling is active or not (TRUE = active, FALSE = inactive) </td></tr>
    <tr><td class="paramname">dpe3</td><td>data point element </td></tr>
    <tr><td class="paramname">dataInvalid</td><td>a bit to represent if data is invalid or not (TRUE = invalid, FALSE = valid)</td></tr>
  </table>
  </dd>
</dl>
<dl class="reviewed"><dt><b><a class="el" href="reviewed.html#_reviewed000004">Reviewed:</a></b></dt><dd>2018-07-25 <a href="https://readthedocs.web.cern.ch/display/ICKB/FW+Consolidation+Redesign+deprecation+whitelist+reasons#FWConsolidationRedesigndeprecationwhitelistreasons-Callback">Callback</a></dd></dl>

</div>
</div>
<a id="af1ce1480759799e5002afef7c41c7065"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1ce1480759799e5002afef7c41c7065">&#9670;&nbsp;</a></span>_fwColourTable_calculateColourWithoutAlertCB()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwColourTable_calculateColourWithoutAlertCB </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>dataInvalid</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This functions takes the given states of a data point element and calls a function which calcultes the relevant colour. The function then set the background colour of graphical item "this" to that colour.</p>
<dl class="section user"><dt>Constraints</dt><dd>This function is designed as a 'work' function and should only be used by giving it as the function name in a dpConnect statement</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Private</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe1</td><td>data point element </td></tr>
    <tr><td class="paramname">dataInvalid</td><td>a bit to represent if data is invalid or not (TRUE = invalid, FALSE = valid) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a00a1bbcd3eda25dc6cbcb0fc0a9317c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00a1bbcd3eda25dc6cbcb0fc0a9317c7">&#9670;&nbsp;</a></span>fwColourTable_connectCellBackColToValueStatus()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwColourTable_connectCellBackColToValueStatus </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function controls the background colour of the cell of a table from within which the function was called. The colour is controlled by dpConnecting to the invalid bit of the given data point element, and if it exists, the alert active bit and the alert colour are also connected to. When the function is called, and any time when the alert state or invalid state changes, a function is called which evaluates the current state, selects the relevant colour and sets the background colour of the graphical item.</p>
<dl class="section user"><dt>Modification History</dt><dd>29/03/01 Oliver Holme Added functionality for connecting to dpes of type STRUCTURE This makes it possible to connect to the state of a summary alert</dd></dl>
<dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are placed in here. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aecd64ac0dce67291970686b930e08405"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aecd64ac0dce67291970686b930e08405">&#9670;&nbsp;</a></span>_fwColourTable_calculateColourWithAlertCBValue()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwColourTable_calculateColourWithAlertCBValue </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>alertColour</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>alarmActive</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe3</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>dataInvalid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe4</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>valText</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This functions takes the given states of a data point element and calls a function which calcultes the relevant colour. The function then set the background colour of graphical item "this" to that colour.</p>
<dl class="section user"><dt>Constraints</dt><dd>This function is designed as a 'work' function and should only be used by giving it as the function name in a dpConnect statement</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Private</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe1</td><td>data point element </td></tr>
    <tr><td class="paramname">alertColour</td><td>a string containing the name of the current alert colour </td></tr>
    <tr><td class="paramname">dpe2</td><td>data point element </td></tr>
    <tr><td class="paramname">alarmActive</td><td>a bit to represent if alert handling is active or not (TRUE = active, FALSE = inactive) </td></tr>
    <tr><td class="paramname">dpe3</td><td>data point element </td></tr>
    <tr><td class="paramname">dataInvalid</td><td>a bit to represent if data is invalid or not (TRUE = invalid, FALSE = valid) </td></tr>
    <tr><td class="paramname">dpe4</td><td>data point element with value to display in the cell </td></tr>
    <tr><td class="paramname">valText</td><td>value to display in the cell</td></tr>
  </table>
  </dd>
</dl>
<dl class="reviewed"><dt><b><a class="el" href="reviewed.html#_reviewed000005">Reviewed:</a></b></dt><dd>2018-07-25 <a href="https://readthedocs.web.cern.ch/display/ICKB/FW+Consolidation+Redesign+deprecation+whitelist+reasons#FWConsolidationRedesigndeprecationwhitelistreasons-Callback">Callback</a></dd></dl>

</div>
</div>
<a id="a3734116e0f2c97d4448003a603e5802e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3734116e0f2c97d4448003a603e5802e">&#9670;&nbsp;</a></span>_fwColourTable_calculateColourWithoutAlertCBValue()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwColourTable_calculateColourWithoutAlertCBValue </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>dataInvalid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>valText</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This functions takes the given states of a data point element and calls a function which calcultes the relevant colour. The function then set the background colour of graphical item "this" to that colour.</p>
<dl class="section user"><dt>Constraints</dt><dd>This function is designed as a 'work' function and should only be used by giving it as the function name in a dpConnect statement</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Private</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe1</td><td>data point element with quality of the data </td></tr>
    <tr><td class="paramname">dataInvalid</td><td>a bit to represent if data is invalid or not (TRUE = invalid, FALSE = valid) </td></tr>
    <tr><td class="paramname">dpe2</td><td>data point element with value to display in the cell </td></tr>
    <tr><td class="paramname">valText</td><td>value to display in the cell</td></tr>
  </table>
  </dd>
</dl>
<dl class="reviewed"><dt><b><a class="el" href="reviewed.html#_reviewed000006">Reviewed:</a></b></dt><dd>2018-07-25 <a href="https://readthedocs.web.cern.ch/display/ICKB/FW+Consolidation+Redesign+deprecation+whitelist+reasons#FWConsolidationRedesigndeprecationwhitelistreasons-Callback">Callback</a></dd></dl>

</div>
</div>
<a id="abeed6c0e7f4f7ea7137324d093640b1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abeed6c0e7f4f7ea7137324d093640b1d">&#9670;&nbsp;</a></span>_fwColourTable_calculateColourWithSummaryAlertCB()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwColourTable_calculateColourWithSummaryAlertCB </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>alertColour</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>alarmActive</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This functions takes the given states of a summary alert on a given data point element and calls a function which calculates the relevant colour. The function then set the background colour of graphical item "this" to that colour.</p>
<dl class="section user"><dt>Constraints</dt><dd>This function is designed as a 'work' function and should only be used by giving it as the function name in a dpConnect statement</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Private</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe1</td><td>data point element </td></tr>
    <tr><td class="paramname">alertColour</td><td>a string containing the name of the current alert colour </td></tr>
    <tr><td class="paramname">dpe2</td><td>data point element </td></tr>
    <tr><td class="paramname">alarmActive</td><td>a bit to represent if alert handling is active or not (TRUE = active, FALSE = inactive)</td></tr>
  </table>
  </dd>
</dl>
<dl class="reviewed"><dt><b><a class="el" href="reviewed.html#_reviewed000007">Reviewed:</a></b></dt><dd>2018-07-25 <a href="https://readthedocs.web.cern.ch/display/ICKB/FW+Consolidation+Redesign+deprecation+whitelist+reasons#FWConsolidationRedesigndeprecationwhitelistreasons-Callback">Callback</a></dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwColourTable_8ctl.html">fwColourTable.ctl</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
